net.corda.core.node.services

## Interface SchedulerService

- All Known Implementing Classes:
    NodeSchedulerService

      public SchedulerService

  Provides access to schedule activity at some point in time. This interface might well be expanded to increase the feature set in the future.

  If the point in time is in the past, the expectation is that the activity will happen shortly after it is scheduled.

  The main consumer initially is an observer of the vault to schedule activities based on transactions as they are recorded.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `scheduleStateActivity(ScheduledStateRef action)` Schedule a new activity for a TX output, probably because it was just produced.
    `void` | `unscheduleStateActivity(StateRef ref)` Unschedule all activity for a TX output, probably because it was consumed.

- - ### Method Detail

    - #### scheduleStateActivity

          void scheduleStateActivity(ScheduledStateRef action)

      Schedule a new activity for a TX output, probably because it was just produced.

      Only one activity can be scheduled for a particular `class StateRef` at any one time. Scheduling a `class ScheduledStateRef` replaces any previously scheduled `class ScheduledStateRef` for any one `class StateRef`.

      See Also:
        `class StateRef`, `class ScheduledStateRef`, `class ScheduledStateRef`, `class StateRef`

    - #### unscheduleStateActivity

          void unscheduleStateActivity(StateRef ref)

      Unschedule all activity for a TX output, probably because it was consumed.